import { useEffect } from "react";
import { useSearchParams, useNavigate } from "react-router-dom";
import Box from "@mui/material/Box";
import Typography from "@mui/material/Typography";
import Toolbar from "@mui/material/Toolbar";
import MineclusterFiles from "@mcl/components/files/MineclusterFiles.jsx";

export default function Files() {
  const [searchParams] = useSearchParams();
  const currentServer = searchParams.get("server");
  const nav = useNavigate();
  useEffect(() => {
    if (!currentServer) nav("/");
  }, [currentServer]);
  return (
    <Box className="edit" sx={{ height: "100%" }}>
      <MineclusterFiles server={currentServer} />
    </Box>
  );
}
